Name:		osm2pgsql
Version:	0.90.0
Release:	%mkrel 1
Summary:	An OpenStreetMap to PostgreSQL converter
License:	GPLv2
Group:		Sciences/Geosciences
# https://codeload.github.com/openstreetmap/osm2pgsql/tar.gz/0.84.0
Source:		%{name}-%{version}.tar.gz
URL:		http://wiki.openstreetmap.org/wiki/Osm2pgsql

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	geos-devel
BuildRequires:  boost-devel
BuildRequires:  expat-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(proj)
BuildRequires:	pkgconfig(libpq)
BuildRequires:	pkgconfig(libprotobuf-c)
BuildRequires:	pkgconfig(lua) >= 5.2

%description
osm2pgsql is a command-line based program that converts OpenStreetMap data
to postGIS-enabled PostgreSQL databases.

%prep
%setup -q

%build
%cmake .. \
%make

%install
%make_install -C build

%files
%{_bindir}/*
%{_mandir}/man1/*.1.xz
%{_datadir}/%{name}


%changelog
* Fri May 20 2016 eatdirt <eatdirt> 0.90.0-1.mga6
+ Revision: 1017174
- Upgrade to version 0.90.0

* Fri May 20 2016 tv <tv> 0.84.0-9.mga6
+ Revision: 1017109
- rebuild for new libproj

* Sat Apr 16 2016 daviddavid <daviddavid> 0.84.0-8.mga6
+ Revision: 1002951
- rebuild for new geos 3.5.0

* Tue Feb 16 2016 umeabot <umeabot> 0.84.0-7.mga6
+ Revision: 961968
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 cjw <cjw> 0.84.0-6.mga6
+ Revision: 870438
- rebuild with gcc 5

* Tue Nov 25 2014 cjw <cjw> 0.84.0-5.mga5
+ Revision: 798940
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 0.84.0-4.mga5
+ Revision: 744503
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.84.0-3.mga5
+ Revision: 683281
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.84.0-2.mga5
+ Revision: 670746
- rebuild for protobuf-c

* Sat Oct 26 2013 mitya <mitya> 0.84.0-1.mga4
+ Revision: 547039
- imported package osm2pgsql

